#!/bin/sh

replaceCC=false
newCC=gcc

output=DemoRecorder-Api-Src.tgz

#Parse commandline
while [ "$1" != "" ] ; do
	case $1 in
		CC=*)
			newCC=` echo $1 | sed -e 's/^CC=//' `
			replaceCC=true
			shift	
		;;
		-o)
			shift
			if [ "$1" = "" ] ; then
				echo "filename expected after -o"
				exit 1
			fi
			output="$1"
			shift
		;;		
		*)
			echo illegal commandline arg \"$1\"
			exit 1
		;;
	esac
done

if [ -f api/examples/xlib/testDispRecCtrlExt.c ] ; then
	tempdir=/var/tmp/create-api-src-tarball-tmp.$$
	mkdir $tempdir
	chmod a+wX $tempdir
	tar cvf - --exclude='*.a' --exclude='*.o' api | ( cd $tempdir ; tar xvpf - )
	find $tempdir -type d -print | xargs chmod a+wX
	if [ "$replaceCC" = "true" ] ; then
		#patch makefiles
		find $tempdir/api -name Makefile -print -exec sed -i -e "s/^CC=gcc/CC=$newCC/" {} \;
	fi
	#create the final tar archive
	( cd $tempdir ; tar cvzf - . ) > $output
	#clean up
	echo rm -rf $tempdir
else
	echo "no DemoRecorder api-dir found. Please start this script in the DemoRecorder install dir"
fi

